@charset "utf-8";
/* CSS Document */

/* validation */
input.parsley-error, textarea.parsley-error, select.parsley-error {
	background: #FAEDEC;
	border: 1px solid #E85445;
  }
  .btn-group .parsley-errors-list {
	display: none;
  }
  .bad input, .bad select, .bad textarea {
	border: 1px solid #f2dede;
	box-shadow: 0 0 4px -2px #f2dede;
	position: relative;
	left: 0;
	-moz-animation: .7s 1 shake linear;
	-webkit-animation: 0.7s 1 shake linear;
  }
  .item input, .item textarea {
	-webkit-transition: 0.42s;
	-moz-transition: 0.42s;
	transition: 0.42s;
  }
  
  /* alerts (when validation fails) */
  .item .alert {
	float: right !important; 
	margin: 0 0 0 10px;
	padding: 3px 10px;
	color: #a94442;
	border-radius: 3px 4px 4px 3px;
	background-color: #f2dede;
	white-space: pre;
	position: relative;
	left: -15px;
	opacity: 0;
	z-index: 1;
	transition: 0.15s ease-out;
	width: max-content;
  }
  .item .alert::after {
	content: '';
	display:none;
	height: 0;
	width: 0;
	border-color: transparent #f2dede transparent transparent;
	border-style: solid;
	border-width: 11px 7px;
	position: absolute;
	left: -13px;
	top: 1px;
  }
  .item.bad .alert {
	left: 0;
	opacity: 1;
  }
  .error {
	float: right !important; 
	margin: 0 0 0 10px;
	padding: 3px 10px;
	color: #a94442;
	border-radius: 3px 4px 4px 3px;
	background-color: #f2dede;
	white-space: pre;
	position: relative;
	border: 1px solid transparent;
	transition: 0.15s ease-out;
	width: max-content;
  }
  .success {
	float: right !important; 
	margin: 0 0 0 10px;
	padding: 3px 10px;
	color:green;
	border-radius: 3px 4px 4px 3px;
	background-color:lightgreen;
	white-space: pre;
	position: relative;
	border: 1px solid transparent;
	transition: 0.15s ease-out;
	width: max-content;
  }